clear all;


load base_2_feb_node_voltages.txt
array=base_2_feb_node_voltages;

x= array(:,1);
y1= array(:,2);
y2= array(:,3);
y3 = array(:,4);
y4 = array(:,5);
y5 = array(:,6);
y6 = array(:,7);
y7 = array(:,8);
y8 = array(:,9);
y9 = array(:,10);
y10 = array(:,11);

y_min=linspace(0.935,0.935,length(x));  %creates system restriciton lin


%plot
hold off;
plot(x,y1,x,y2,x,y3,x,y4,x,y5,x,y6,x,y7,x,y8,x,y9,x,y10,x,y_min,'k')
xlabel('Hours')
ylabel('Voltage (p.u.)')
axis([0 24 0.96 1])

% Adjust XY label font
set(gca,'fontsize',14)
handxlabel1 = get(gca, 'xlabel');
set(handxlabel1, 'fontsize', 16, 'fontweight', 'bold');
handylabel1 = get(gca, 'ylabel');
set(handylabel1, 'fontsize', 16, 'fontweight', 'bold');


h_legend = legend('Node A1','Node A2','Node A3','Node A4','Node B1','Node B2','Node C1','Node D1','Node D2','Node E1','Location','EastOutside');
set(h_legend,'FontSize',14);
set(gca,'XTick',0:2:24)
set(gca,'XTickLabel',[0:2:24])

set(gcf,'Position',[680 558 750 420])

%screen2eps smart_voltage_4_spread_out_all.eps

