
%Takes in the hourly spot electicity price for February 2 
spot_2_feb;

 percentage_of_EVs = input('How many percent of EVs are in the system?');
 cd('Y:\Sagosen - Master\Matlab');
 EVs_pr_transformer; % Find number of EVs in the system
 cd('Y:\Sagosen - Master\Matlab\24_hours');
 %Number of EVs connected to transformer 52140
 EVs_in_LV_system = EVs_per_transformer(28);
 
 %The optimal time to start charging is given by the spot price
 [price time] = min(charge_cost);
 charging_plan = zeros(1,hours,length(house_numbers));
 cars_placed=0;
 
  %Random order of houses to spread out where vehicles are placed
random_house_order= [32 40 22 34 9 6 55 3 16 11 54 30 45 60 62 51 33 ...
      7 38 58 42 28 17 41 47 14 46 56 8 59 5 48 53 29 21 25 52 37 31 49 ...
      27 61 50 26 43 19 44 15 1 36 23 2 4 18 24 39 13 35 20 57 10 12];
 
 
 %Deciding which house EV is placed at
 choose = input('Do you want to choose which houses the EVs should be placed? (y/n) ','s');
 if choose == 'y'
     disp(['There are ' num2str(EVs_in_LV_system) ' in the system.' ])
     i=1;
     while i <= EVs_in_LV_system
        placement(i) = input(['Which house shout EV number ' num2str(i) ' be placed? ' ]);
        i=i+1;
     end
 else
     placement = random_house_order;
 end
 i=1;
 while EVs_in_LV_system ~= cars_placed


        if time==22
            charging_plan(1,22:24,placement(i))=charging_plan(1,22:24,placement(i))+6;
            charging_plan(1,1,placement(i))=charging_plan(1,1,placement(i))+6;
        elseif time==23
            charging_plan(1,23:24,placement(i))=charging_plan(1,23:24,placement(i))+6;
            charging_plan(1,1:2,placement(i))=charging_plan(1,1:2,placement(i)) + 6;
        elseif time==24
            charging_plan(1,24,placement(i))=charging_plan(1,24,placement(i))+6;
            charging_plan(1,1:3,placement(i))=charging_plan(1,1:3,placement(i))+6;
        else
        charging_plan(1,time:time+3,placement(i))=charging_plan(1,time:time+3,placement(i))+6;
        end
        
        cars_placed=cars_placed + 1;
        i=i+1;
        if i > length(house_numbers)
            i=1;
        end
 end
 
 %Additional load on other transformers:
 
 charge_large_system=zeros(1,hours,length(transformers));
 
 for i = 1:length(transformers)
      if time==22
            charge_large_system(1,22:24,i)=6*EVs_per_transformer(i);
            charge_large_system(1,1,i)=6*EVs_per_transformer(i);
      elseif time==23
            charge_large_system(1,23:24,i)=6*EVs_per_transformer(i);
            charge_large_system(1,1:2,i)=6*EVs_per_transformer(i);
      elseif time==24
            charge_large_system(1,24,i)=6*EVs_per_transformer(i);
            charge_large_system(1,1:3,i)=6*EVs_per_transformer(i);
      else
        charge_large_system(1,time:time+3,i)=6*EVs_per_transformer(i);
      end   
 end
 
 
 
 