clear all;


load base_2_feb_voltage_houses.txt
array=base_2_feb_voltage_houses;

x= array(:,1);
y1= array(:,2);
y2= array(:,3);
y3 = array(:,4);
y4 = array(:,5);
y5 = array(:,6);



y_min=linspace(0.935,0.935,length(x));  %creates system restriciton lin


%plot
hold off;
plot(x,y1,x,y2,x,y3,x,y4,x,y5,x,y_min,'k')
xlabel('Hours')
ylabel('Voltage (p.u.)')
axis([0 24 0.95 0.99])

% Adjust XY label font
set(gca,'fontsize',14)
handxlabel1 = get(gca, 'xlabel');
set(handxlabel1, 'fontsize', 16, 'fontweight', 'bold');
handylabel1 = get(gca, 'ylabel');
set(handylabel1, 'fontsize', 16, 'fontweight', 'bold');


h_legend = legend('Residence 24','Residence 33','Residence 16','Residence 2','Residence 23','Location','EastOutside');
set(h_legend,'FontSize',14);
set(gca,'XTick',0:2:24)
set(gca,'XTickLabel',[0:2:24])

set(gcf,'Position',[680 558 750 420])

screen2eps base_voltage_2_feb_houses.eps

