
%Takes in the hourly spot electicity price for February 2 
%spot_2_feb;

 percentage_of_EVs = input('How many percent of EVs are in the system?');
 cd('Y:\Sagosen - Master\Matlab');
 EVs_pr_transformer; % Find number of EVs in the system
 cd('Y:\Sagosen - Master\Matlab\24_hours');
 %Number of EVs connected to transformer 52140
 EVs_in_LV_system = EVs_per_transformer(28);
 
 %The optimal time to start charging is given by the spot price
 %[price time] = min(charge_cost);
 charging_plan = zeros(1,hours,length(house_numbers));
 cars_placed=0;
 
  %Random order of houses to spread out where vehicles are placed
random_house_order= [32 40 22 34 9 6 55 3 16 24 54 30 45 60 62 51 33 ...
      7 38 58 42 28 17 41 47 14 46 56 8 59 5 48 53 29 21 25 52 37 31 49 ...
      27 61 50 26 43 19 44 15 1 36 23 2 4 18 11 39 13 35 20 57 10 12];
 
 
 %Deciding which house EV is placed at
 if percentage_of_EVs ~= 0
 choose = input('Do you want to choose which houses the EVs should be placed? (y/n) ','s');
 if choose == 'y'
     disp(['There are ' num2str(EVs_in_LV_system) ' in the system.' ])
     i=1;
     while i <= EVs_in_LV_system
        placement(i) = input(['Which house shout EV number ' num2str(i) ' be placed? ' ]);
        i=i+1;
     end
 else
     placement = random_house_order;
 end
 end
 
 %To make the additional EV load less burdening on the system,
 %the charging will be places at hours of low load in that 
 %part of the system.
 %The system is divided in 6 branch nodes; A,B,C,D,E and F
 
 node_consumption;
 
 time=0;
 i=1;
 sum_charging_temp = zeros(1,24);
 temp_load = zeros(1,24);
 %overview of cars charging at different nodes
 node_charge = zeros(7,24);
 
 while EVs_in_LV_system ~= cars_placed
     %Find the hour of the day where EV charging will be
     %most convinient
     %Finds the 4 hour period with lowest load
     
     for k = 1:24
         sum_charging_temp(k) = sum(charging_plan(1,k,:));
         if k > 21
        temp_load(k) = sum(node_power(1,k:24,house_numbers(placement(i),6))) + sum(node_charge(house_numbers(placement(i),6),k:24)) ...
            + sum(node_power(1,1:k-21,house_numbers(placement(i),6))) + sum(node_charge(house_numbers(placement(i),6),1:k-21));
        else
        temp_load(k) = sum(node_power(1,k:k+3,house_numbers(placement(i),6))) + sum(node_charge(house_numbers(placement(i),6),k:k+3));
         end
     end
     
     %To make sure that two EV charging periods does not come
     %closer together than 12 hours
    
    [load time] = min(temp_load);
   
     
        if time > 21
            charging_plan(1,time:24,placement(i))=charging_plan(1,time:24,placement(i))+6;
            charging_plan(1,1:time-21,placement(i))=charging_plan(1,1:time-21,placement(i))+6;
            node_charge(house_numbers(placement(i),6),time:24) = node_charge(house_numbers(placement(i),6),time:24) +6;
            node_charge(house_numbers(placement(i),6),1:time-21) = node_charge(house_numbers(placement(i),6),1:time-21) +6;
        else
        charging_plan(1,time:time+3,placement(i))=charging_plan(1,time:time+3,placement(i))+6;
        node_charge(house_numbers(placement(i),6),time:time+3) = node_charge(house_numbers(placement(i),6),time:time+3) +6;
        end
        
        cars_placed=cars_placed + 1;
        i=i+1;
        if i > length(house_numbers)
            i=1;
        end
 end
 
 %Additional load on other transformers:
 
 charge_large_system=zeros(1,hours,length(transformers));
 
 i=1;

 for j = 1:length(transformers)
     cars_placed=0;
     while EVs_per_transformer(j) ~= cars_placed
     %Find the hour of the day where EV charging will be
     %most convinient
     %Finds the 4 hour period with lowest load
     
     for k = 1:24
         sum_charging_temp(k) = sum(charge_large_system(1,k,:));
         if k > 21
        temp_load(k) = sum(node_power(1,k:24,house_numbers(placement(i),6))) + sum(charge_large_system(1,k:24,j)) ...
            + sum(node_power(1,1:k-21,house_numbers(placement(i),6))) + sum(charge_large_system(1,1:k-21,j));
        else
        temp_load(k) = sum(node_power(1,k:k+3,house_numbers(placement(i),6))) + sum(charge_large_system(1,k:k+3,j));
         end
     end
    [load time] = min(temp_load);

        if time > 21
            charge_large_system(1,time:24,j)=charge_large_system(1,time:24,j)+6;
            charge_large_system(1,1:time-21,j)=charge_large_system(1,1:time-21,j)+6;
        else
        charge_large_system(1,time:time+3,j)=charge_large_system(1,time:time+3,j)+6;
        end
        
        cars_placed=cars_placed + 1;
       
     end
 end
 
 
 
 

 
 
 
 