


 percentage_of_EVs = input('How many percent of EVs are in the system?');
 cd('Y:\Sagosen - Master\Matlab');
 EVs_pr_transformer; % Find number of EVs in the system
 cd('Y:\Sagosen - Master\Matlab\24_hours');
 %Number of EVs connected to transformer 52140
 EVs_in_LV_system = EVs_per_transformer(28);
 
 %Use observed charging pattern for EV
 charging_pattern = [14 0.15;
                    15 0.15;
                    16 0.4;
                    17 0.1;
                    18 0.1;
                    19 0.1];
 %Number of EVs starting to charge at each hour:
 EVs_charging = round(EVs_in_LV_system * charging_pattern(:,2));
 difference = EVs_charging - (EVs_in_LV_system * charging_pattern(:,2));
 
 %Finds an approximation of how many cars that should start charging
 %every hour to match the charging pattern and system EV penetration %
 while sum(EVs_charging) ~= EVs_in_LV_system
     if sum(EVs_charging) > EVs_in_LV_system
         [value time]=max(difference);
         EVs_charging(time)=EVs_charging(time) -1;
         difference(time) = difference(time) -1;
     else
         [value time]=min(difference);
         EVs_charging(time)=EVs_charging(time) +1;
         difference(time) = difference(time) +1;
     end
 end
 
 %Random order of houses to spread out where vehicles are placed
  random_house_order= [32 40 22 34 9 6 55 44 16 24 1 30 45 60 62 51 33 ...
      7 38 58 42 28 17 41 47 14 46 56 8 59 5 48 53 29 21 25 52 37 31 49 ...
      27 61 50 26 43 19 3 15 54 36 23 2 4 18 11 39 13 35 20 57 10 12];
 
 
 charging_plan = zeros(days,hours,length(house_numbers));
 cars_placed=0;
 
 %Deciding which house EV is placed at
 choose = input('Do you want to choose which houses the EVs should be placed? (y/n) ','s');
 if choose == 'y'
     disp(['There are ' num2str(EVs_in_LV_system) ' in the system.' ])
     i=1;
     while i <= EVs_in_LV_system
        placement(i) = input(['Which house shout EV number ' num2str(i) ' Be placed? ' ]);
        i=i+1;
     end
 else
     placement = random_house_order;
 end
 
 i=1;
 while EVs_in_LV_system ~= cars_placed
     
     %find the hour with most remaining EV charging startups
     [value temp] = max(EVs_charging);
     time = temp + 13;
     EVs_charging(temp) =EVs_charging(temp) -1;
     
  
     charging_plan(:,time:time+3,placement(i))=charging_plan(:,time:time+3,placement(i))+6;
     cars_placed=cars_placed + 1;
     i=i+1;
        if i > length(house_numbers)
            i=1;
        end
 end
 
 %Additional load on other transformers:
 
 charge_large_system=zeros(days,hours,length(transformers));
 
 for i = 1:length(transformers)
     cars_placed=0;
     
     %Number of EVs starting to charge at each hour:
     EVs_charging = round(EVs_per_transformer(i) * charging_pattern(:,2));
     difference = EVs_charging - (EVs_per_transformer(i) * charging_pattern(:,2));
     
     while sum(EVs_charging) ~= EVs_per_transformer(i)
     if sum(EVs_charging) > EVs_per_transformer(i)
         [value time]=max(difference);
         EVs_charging(time)=EVs_charging(time) -1;
         difference(time) = difference(time) -1;
     else
         [value time]=min(difference);
         EVs_charging(time)=EVs_charging(time) +1;
         difference(time) = difference(time) +1;
     end
    end
     
    
    j=1;
    while EVs_per_transformer(i) ~= cars_placed
     
     %find the hour with most remaining EV charging startups
     [value temp] = max(EVs_charging);
     time = temp + 13;
     EVs_charging(temp) =EVs_charging(temp) -1;
     
  
     charge_large_system(:,time:time+3,i)=charge_large_system(:,time:time+3,i)+6;
     cars_placed=cars_placed + 1;
     j=j+1;
        if j > length(house_numbers)
            j=1;
        end
    end
 end
 
 
 cd('Y:\Sagosen - Master\Matlab');
 
 
 